GENDIFF(1)

NAME
gendiff - generate rpm diff files

SYNOPSIS
gendiff <directory> <diff-extention>

DESCRIPTION
This manual page documents briefly the gendiff command. This manual page was written for the Debian GNU/Linux distribution (but may be used by others), because the original program does not have a manual page.

gendiff is a program that helps with creating patch files for rpm packages. It is really just a wrapper around diff. To use gendiff, when you are editing a redhat source package, make copies of the originals of all files you modify, with a given extention (like .orig). Then, to generate the patch, run gendiff and tell it the extention you backed the files up to.

OPTIONS

<directory>
    The directory that the packge is unpacked into.

<diff-extention>
    The extention original files are backed up to. (ie, .orig).

SEE ALSO
rpm(8)

/usr/doc/rpm/RPM-HOWTO.txt

AUTHOR
This manual page was written by Joey Hess, for the Debian GNU/Linux system.